API reference
Organization requests
11 management API operations for Organization requests.
/v1/me/organization-requestsMine
POST/v1/me/organization-requestsCreate
GET/v1/me/organization-requests/{request_id}Mine One
POST/v1/me/organization-requests/{request_id}/resubmitResubmit
POST/v1/me/organization-requests/{request_id}/withdrawWithdraw
GET/v1/organization-requestsReview List
GET/v1/organization-requests/{request_id}Review One
POST/v1/organization-requests/{request_id}/claimClaim
POST/v1/organization-requests/{request_id}/request-changesRequest Changes
POST/v1/organization-requests/{request_id}/rejectReject
POST/v1/organization-requests/{request_id}/approveApprove
GET/v1/me/organization-requests
Mine
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
cursor | query | string | null | No | |
limit | query | integer | No | Validation: minimum 1; maximum 100 |
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/me/organization-requests
Create
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredRequestFields
| Field | Type | Required | Description |
|---|---|---|---|
name | string | Yes | Validation: min length 2; max length 200 |
organization_type | string | Yes | Validation: min length 2; max length 100 |
website | string | Yes | Validation: min length 8; max length 2048 |
domains | string[] | Yes | Validation: min items 1; max items 10 |
purpose | string | Yes | Validation: min length 12; max length 4000 |
contacts | Contact[] | Yes | Validation: min items 1; max items 10 |
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
201Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
GET/v1/me/organization-requests/{request_id}
Mine One
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
request_id | path | string | Yes |
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/me/organization-requests/{request_id}/resubmit
Resubmit
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
request_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredidentity__organization_requests__Resubmit
| Field | Type | Required | Description |
|---|---|---|---|
name | string | Yes | Validation: min length 2; max length 200 |
organization_type | string | Yes | Validation: min length 2; max length 100 |
website | string | Yes | Validation: min length 8; max length 2048 |
domains | string[] | Yes | Validation: min items 1; max items 10 |
purpose | string | Yes | Validation: min length 12; max length 4000 |
contacts | Contact[] | Yes | Validation: min items 1; max items 10 |
reason | string | Yes | Validation: min length 8; max length 500 |
expected_version | integer | Yes | Validation: minimum 1 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/me/organization-requests/{request_id}/withdraw
Withdraw
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
request_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredTransition
| Field | Type | Required | Description |
|---|---|---|---|
expected_version | integer | Yes | Validation: minimum 1 |
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
GET/v1/organization-requests
Review List
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
status | query | string | null | No | |
cursor | query | string | null | No | |
limit | query | integer | No | Validation: minimum 1; maximum 100 |
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
GET/v1/organization-requests/{request_id}
Review One
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
request_id | path | string | Yes |
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/organization-requests/{request_id}/claim
Claim
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
request_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredTransition
| Field | Type | Required | Description |
|---|---|---|---|
expected_version | integer | Yes | Validation: minimum 1 |
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/organization-requests/{request_id}/request-changes
Request Changes
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
request_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredDecision
| Field | Type | Required | Description |
|---|---|---|---|
expected_version | integer | Yes | Validation: minimum 1 |
reason | string | Yes | Validation: min length 8; max length 500 |
decision_reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/organization-requests/{request_id}/reject
Reject
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
request_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredDecision
| Field | Type | Required | Description |
|---|---|---|---|
expected_version | integer | Yes | Validation: minimum 1 |
reason | string | Yes | Validation: min length 8; max length 500 |
decision_reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/organization-requests/{request_id}/approve
Approve
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
request_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredTransition
| Field | Type | Required | Description |
|---|---|---|---|
expected_version | integer | Yes | Validation: minimum 1 |
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |